## Create TransactionType

### cURL

```bash
curl --request POST \
  --url https://api.m3ter.com/organizations/{orgId}/picklists/transactiontypes \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "version": 123,
  "code": "code",
  "archived": true
}
'```

### Python

```python
import requests

url = "https://api.m3ter.com/organizations/{orgId}/picklists/transactiontypes"

payload = {
    "name": "<string>",
    "version": 123,
    "code": "code",
    "archived": True
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

### JavaScript

```javascript
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({name: '<string>', version: 123, code: 'code', archived: true})
};

fetch('https://api.m3ter.com/organizations/{orgId}/picklists/transactiontypes', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```php


```

### Response

#### Success Response 200

```json
{
  "id": "<string>",
  "version": 123,
  "code": "<string>",
  "name": "<string>",
  "archived": true,
  "dtCreated": "2023-11-07T05:31:56Z",
  "dtLastModified": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "lastModifiedBy": "<string>"
}
```

#### Error Response 4XX

```json
{
  "message": "<string>"
}
```

#### Error Response 5XX

```json
{
  "message": "<string>"
}
```

### Authorizations

#### Authorization

- `string`
- **header**
- **required**

m3ter supports machine to machine authentication using the `clientCredentials` OAuth2 flow.  The `authorizationCode` flow controls access for human users via the m3ter Console application.

### Path Parameters

#### orgId
- `string`
- **required**

The unique identifier (UUID) of your Organization. The Organization represents your company as a direct customer of our service.

### Body

**application/json**

#### name
- `string`
- **required**

The name of the entity.

**Required string length**: `1 - 200`

#### version
- `integer<int64>`

The version number of the entity:

- Create entity: Not valid for initial insertion of new entity - _do not use for Create_. On initial Create, version is set at 1 and listed in the response.
- Update Entity: On Update, version is required and must match the existing version because a check is performed to ensure sequential versioning is preserved. Version is incremented by 1 and listed in the response.

#### code
- `string`

The short code for the entity.

**Maximum string length**: `80`

**Pattern**: `^[\p{L}_$][\p{L}_$0-9]*$`

**Example**:  
`"code"`

#### archived
- `boolean`

A Boolean TRUE / FALSE flag indicating whether the entity is archived. An entity can be archived if it is obsolete.

- TRUE - the entity is in the archived state.
- FALSE - the entity is not in the archived state.

### Response

#### 200

**application/json**

Return the created TransactionType

#### id
- `string`
- **required**

The UUID of the entity.

#### version
- `integer<int64>`

The version number:

- Create: On initial Create to insert a new entity, the version is set at 1 in the response.
- Update: On successful Update, the version is incremented by 1 in the response.

#### code
- `string`

The short code of the data entity.

#### name
- `string`

The name of the data entity.

#### archived
- `boolean`

TRUE / FALSE flag indicating whether the data entity is archived. An entity can be archived if it is obsolete.

#### dtCreated
- `string<date-time>`

The date and time _(in ISO-8601 format)_ when the TransactionType was created.

#### dtLastModified
- `string<date-time>`

The date and time _(in ISO-8601 format)_ when the TransactionType was last modified.

#### createdBy
- `string`

The unique identifier (UUID) of the user who created this TransactionType.

#### lastModifiedBy
- `string`

The unique identifier (UUID) of the user who last modified this TransactionType.
